Security Enhanced Linux Reference Policy

# Layer: apps

## Module: mplayer

Tunables Interfaces

### Description:

Mplayer media player and encoder

### Tunables:

allow_mplayer_execstack

##### Default value

false

##### Description

Allow mplayer executable stack

Return

### Interfaces:

mplayer_domtrans( domain )

##### Summary

Run mplayer in mplayer domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mplayer_exec( domain )

##### Summary

Execute mplayer in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mplayer_read_user_home_files( domain )

##### Summary

Read mplayer per user homedir

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mplayer_role( role , domain )

##### Summary

Role access for mplayer

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

Return